Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodeentitynodeattributes Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodeentitynodeattributes (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getAttributes()" method invoked on an Entity

Node returns null.

Retrieve the first Entity declaration in the "DOCTYPE"

section of the XML file and invoke the "getAttributes()"

method on the Entity Node. It should return null.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-84CF096

Definition at line 51 of file nodeentitynodeattributes.java.

## Constructor & Destructor Documentation

nodeentitynodeattributes::nodeentitynodeattributes | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 53 of file nodeentitynodeattributes.java.
    00054  {
    00055       super(factory);
    00056
    00057    }

## Member Function Documentation

String nodeentitynodeattributes::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 73 of file nodeentitynodeattributes.java.
    00073                                 {
    00074       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodeentitynodeattributes";
    00075    }

void nodeentitynodeattributes::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 76 of file nodeentitynodeattributes.java. References DOMTestCase::doMain().
    00076                                           {
    00077         DOMTestCase.doMain(nodeentitynodeattributes.class,args);
    00078    }

void nodeentitynodeattributes::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 59 of file nodeentitynodeattributes.java. References DOMTestCase::assertNull(), and DOMTest::load().
    00059                                                     {
    00060       Document doc;
    00061       DocumentType docType;
    00062       NamedNodeMap testName;
    00063       Node entityNode;
    00064       NamedNodeMap attrList;
    00065       doc = load("staff");
    00066       docType = doc.getDoctype();
    00067       testName = docType.getEntities();
    00068       entityNode = testName.getNamedItem("ent1");
    00069       attrList = entityNode.getAttributes();
    00070       assertNull("nodeEntityNodeAttributesAssert1",attrList);
    00071
    00072    }

The documentation for this class was generated from the following file:

- nodeentitynodeattributes.java